Index: squid/src/auth/digest/auth_digest.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/digest/auth_digest.c,v
retrieving revision 1.1.20.2
retrieving revision 1.1.20.3
diff -u -r1.1.20.2 -r1.1.20.3
--- squid/src/auth/digest/auth_digest.c	30 Jan 2001 12:04:45 -0000	1.1.20.2
+++ squid/src/auth/digest/auth_digest.c	10 Feb 2001 17:32:49 -0000	1.1.20.3
@@ -34,8 +34,8 @@
  */
 
 /* The functions in this file handle authentication.
-   They DO NOT perform access control or auditing.
-   See acl.c for access control and client_side.c for auditing */
+ * They DO NOT perform access control or auditing.
+ * See acl.c for access control and client_side.c for auditing */
 
 
 #include "squid.h"
@@ -51,25 +51,25 @@
 /* Digest Scheme */
 
 static HLPCB authenticateDigestHandleReply;
-static AUTHSACTIVE    authenticateDigestActive;
+static AUTHSACTIVE authenticateDigestActive;
 static AUTHSADDHEADER authDigestAddHeader;
 #if WAITING_FOR_TE
 static AUTHSADDTRAILER authDigestAddTrailer;
 #endif
-static AUTHSAUTHED    authDigestAuthenticated;
-static AUTHSAUTHUSER  authenticateDigestAuthenticateUser;
+static AUTHSAUTHED authDigestAuthenticated;
+static AUTHSAUTHUSER authenticateDigestAuthenticateUser;
 static AUTHSCONFIGURED authDigestConfigured;
 static AUTHSDIRECTION authenticateDigestDirection;
-static AUTHSDECODE    authenticateDigestDecodeAuth;
-static AUTHSDUMP      authDigestCfgDump;
-static AUTHSFIXERR    authenticateDigestFixHeader;
-static AUTHSFREE      authenticateDigestUserFree;
+static AUTHSDECODE authenticateDigestDecodeAuth;
+static AUTHSDUMP authDigestCfgDump;
+static AUTHSFIXERR authenticateDigestFixHeader;
+static AUTHSFREE authenticateDigestUserFree;
 static AUTHSFREECONFIG authDigestFreeConfig;
-static AUTHSINIT      authDigestInit;
-static AUTHSPARSE     authDigestParse;
-static AUTHSREQFREE   authDigestAURequestFree;
-static AUTHSSTART  authenticateDigestStart;
-static AUTHSSTATS  authenticateDigestStats;
+static AUTHSINIT authDigestInit;
+static AUTHSPARSE authDigestParse;
+static AUTHSREQFREE authDigestAURequestFree;
+static AUTHSSTART authenticateDigestStart;
+static AUTHSSTATS authenticateDigestStats;
 static AUTHSUSERNAME authenticateDigestUsername;
 static AUTHSSHUTDOWN authDigestDone;
 
@@ -92,32 +92,32 @@
  *
  */
 
-static void authenticateDigestNonceCacheCleanup (void *data);
+static void authenticateDigestNonceCacheCleanup(void *data);
 static digest_nonce_h *authenticateDigestNonceFindNonce(const char *nonceb64);
-digest_nonce_h * authenticateDigestNonceNew();
-void   authenticateDigestNonceDelete(digest_nonce_h *nonce);
+digest_nonce_h *authenticateDigestNonceNew();
+void authenticateDigestNonceDelete(digest_nonce_h * nonce);
 void authenticateDigestNonceSetup();
 void authenticateDigestNonceShutdown();
 void authenticateDigestNonceReconfigure();
-const char *authenticateDigestNonceNonceb64(digest_nonce_h *nonce);
-int  authDigestNonceIsValid(digest_nonce_h *nonce, char nc[9]);
-int  authDigestNonceIsStale(digest_nonce_h *nonce);
-void authDigestNonceEncode(digest_nonce_h *nonce);
-int  authDigestNonceLastRequest(digest_nonce_h *nonce);
-void authDigestNonceLink(digest_nonce_h *nonce);
-void authDigestNonceUnlink(digest_nonce_h *nonce);
-int  authDigestNonceLinks(digest_nonce_h *nonce);
-void authDigestNonceUserUnlink(digest_nonce_h *nonce);
-void authDigestNoncePurge(digest_nonce_h *nonce);
+const char *authenticateDigestNonceNonceb64(digest_nonce_h * nonce);
+int authDigestNonceIsValid(digest_nonce_h * nonce, char nc[9]);
+int authDigestNonceIsStale(digest_nonce_h * nonce);
+void authDigestNonceEncode(digest_nonce_h * nonce);
+int authDigestNonceLastRequest(digest_nonce_h * nonce);
+void authDigestNonceLink(digest_nonce_h * nonce);
+void authDigestNonceUnlink(digest_nonce_h * nonce);
+int authDigestNonceLinks(digest_nonce_h * nonce);
+void authDigestNonceUserUnlink(digest_nonce_h * nonce);
+void authDigestNoncePurge(digest_nonce_h * nonce);
 
 void
-authDigestNonceEncode(digest_nonce_h *nonce)
+authDigestNonceEncode(digest_nonce_h * nonce)
 {
     if (!nonce)
-        return;
+	return;
     if (nonce->nonceb64)
-        xfree(nonce->nonceb64);
-    nonce->nonceb64=xstrdup(base64_encode_bin((char *)&(nonce->noncedata),sizeof(digest_nonce_data)));
+	xfree(nonce->nonceb64);
+    nonce->nonceb64 = xstrdup(base64_encode_bin((char *) &(nonce->noncedata), sizeof(digest_nonce_data)));
 }
 
 digest_nonce_h *
@@ -127,118 +127,116 @@
     digest_nonce_h *temp;
 
 /* NONCE CREATION - NOTES AND REASONING. RBC 20010108
-   === EXCERPT FROM RFC 2617 ===
-     The contents of the nonce are implementation dependent. The quality
-     of the implementation depends on a good choice. A nonce might, for
-     example, be constructed as the base 64 encoding of
-
-         time-stamp H(time-stamp ":" ETag ":" private-key)
-
-     where time-stamp is a server-generated time or other non-repeating
-     value, ETag is the value of the HTTP ETag header associated with
-     the requested entity, and private-key is data known only to the
-     server.  With a nonce of this form a server would recalculate the
-     hash portion after receiving the client authentication header and
-     reject the request if it did not match the nonce from that header
-     or if the time-stamp value is not recent enough. In this way the
-     server can limit the time of the nonce's validity. The inclusion of
-     the ETag prevents a replay request for an updated version of the
-     resource.  (Note: including the IP address of the client in the
-     nonce would appear to offer the server the ability to limit the
-     reuse of the nonce to the same client that originally got it.
-     However, that would break proxy farms, where requests from a single
-     user often go through different proxies in the farm. Also, IP
-     address spoofing is not that hard.)
-   ====
-     
-	Now for my reasoning:
-	We will not accept a unrecognised nonce->we have all recognisable nonces stored
-	If we send out unique base64 encodings we guarantee that a given nonce applies
-	to only one user (barring attacks or really bad timing with expiry and creation).
-	Using a random component in the nonce allows us to loop to find a unique nonce.
-	We use H(nonce_data) so the nonce is meaningless to the reciever.
-	So our nonce looks like base64(H(timestamp,pointertohash,randomdata))
-	And even if our randomness is not very random (probably due to bad coding on my
-	part) we don't really care - the timestamp and memory pointer should provide
-	enough protection for the users authentication.
-*/
+ * === EXCERPT FROM RFC 2617 ===
+ * The contents of the nonce are implementation dependent. The quality
+ * of the implementation depends on a good choice. A nonce might, for
+ * example, be constructed as the base 64 encoding of
+ * 
+ * time-stamp H(time-stamp ":" ETag ":" private-key)
+ * 
+ * where time-stamp is a server-generated time or other non-repeating
+ * value, ETag is the value of the HTTP ETag header associated with
+ * the requested entity, and private-key is data known only to the
+ * server.  With a nonce of this form a server would recalculate the
+ * hash portion after receiving the client authentication header and
+ * reject the request if it did not match the nonce from that header
+ * or if the time-stamp value is not recent enough. In this way the
+ * server can limit the time of the nonce's validity. The inclusion of
+ * the ETag prevents a replay request for an updated version of the
+ * resource.  (Note: including the IP address of the client in the
+ * nonce would appear to offer the server the ability to limit the
+ * reuse of the nonce to the same client that originally got it.
+ * However, that would break proxy farms, where requests from a single
+ * user often go through different proxies in the farm. Also, IP
+ * address spoofing is not that hard.)
+ * ====
+ * 
+ * Now for my reasoning:
+ * We will not accept a unrecognised nonce->we have all recognisable nonces stored
+ * If we send out unique base64 encodings we guarantee that a given nonce applies
+ * to only one user (barring attacks or really bad timing with expiry and creation).
+ * Using a random component in the nonce allows us to loop to find a unique nonce.
+ * We use H(nonce_data) so the nonce is meaningless to the reciever.
+ * So our nonce looks like base64(H(timestamp,pointertohash,randomdata))
+ * And even if our randomness is not very random (probably due to bad coding on my
+ * part) we don't really care - the timestamp and memory pointer should provide
+ * enough protection for the users authentication.
+ */
 
     /* create a new nonce */
-    newnonce->nc=0;
-    newnonce->flags.valid=1;
-    newnonce->noncedata.self=newnonce;
-    newnonce->noncedata.creationtime=current_time.tv_sec;
-    newnonce->noncedata.randomdata=random();
+    newnonce->nc = 0;
+    newnonce->flags.valid = 1;
+    newnonce->noncedata.self = newnonce;
+    newnonce->noncedata.creationtime = current_time.tv_sec;
+    newnonce->noncedata.randomdata = random();
 
     authDigestNonceEncode(newnonce);
-    /* loop until we get a unique nonce. The nonce creation must have a random factor*/
-    while ((temp=authenticateDigestNonceFindNonce(newnonce->nonceb64)))
-    {
-        /* create a new nonce */
-        newnonce->noncedata.randomdata=random();
-        authDigestNonceEncode(newnonce);
+    /* loop until we get a unique nonce. The nonce creation must have a random factor */
+    while ((temp = authenticateDigestNonceFindNonce(newnonce->nonceb64))) {
+	/* create a new nonce */
+	newnonce->noncedata.randomdata = random();
+	authDigestNonceEncode(newnonce);
     }
     hash_join(digest_nonce_cache, (hash_link *) newnonce);
     /* the cache's link */
     authDigestNonceLink(newnonce);
-    newnonce->flags.incache=1;
-    debug(29,5)("authenticateDigestNonceNew: created nonce %0p at %d\n", newnonce, newnonce->noncedata.creationtime);
+    newnonce->flags.incache = 1;
+    debug(29, 5) ("authenticateDigestNonceNew: created nonce %0p at %d\n", newnonce, newnonce->noncedata.creationtime);
     return newnonce;
 }
 
 void
-authenticateDigestNonceDelete(digest_nonce_h *nonce)
+authenticateDigestNonceDelete(digest_nonce_h * nonce)
 {
-    if (nonce)
-    {
-        assert(nonce->references == 0);
+    if (nonce) {
+	assert(nonce->references == 0);
 #if UNREACHABLECODE
-        if (nonce->flags.incache)
-	     hash_remove_link(digest_nonce_cache, (hash_link *)nonce);
+	if (nonce->flags.incache)
+	    hash_remove_link(digest_nonce_cache, (hash_link *) nonce);
 #endif
-        assert (nonce->flags.incache==0);
-        safe_free(nonce->nonceb64);
-        memPoolFree(digest_nonce_pool, nonce);
+	assert(nonce->flags.incache == 0);
+	safe_free(nonce->nonceb64);
+	memPoolFree(digest_nonce_pool, nonce);
     }
-} 
+}
 
-void authenticateDigestNonceSetup()
+void 
+authenticateDigestNonceSetup()
 {
     if (!digest_nonce_pool)
-        digest_nonce_pool = memPoolCreate("Digest Scheme nonce's", sizeof(digest_nonce_h));
-    if (!digest_nonce_cache)
-    {
-        digest_nonce_cache = hash_create((HASHCMP *) strcmp, 7921, hash_string);
-        assert(digest_nonce_cache);
-        eventAdd("Digest none cache maintenance",authenticateDigestNonceCacheCleanup, NULL, digestConfig->nonceGCInterval,1);
+	digest_nonce_pool = memPoolCreate("Digest Scheme nonce's", sizeof(digest_nonce_h));
+    if (!digest_nonce_cache) {
+	digest_nonce_cache = hash_create((HASHCMP *) strcmp, 7921, hash_string);
+	assert(digest_nonce_cache);
+	eventAdd("Digest none cache maintenance", authenticateDigestNonceCacheCleanup, NULL, digestConfig->nonceGCInterval, 1);
     }
 }
 
-void authenticateDigestNonceShutdown()
+void 
+authenticateDigestNonceShutdown()
 {
     /* 
      * We empty the cache of any nonces left in there.
      */
     digest_nonce_h *nonce;
-    if (digest_nonce_cache)
-    {
-        debug(29,2)("authenticateDigestNonceShutdown: Shutting down nonce cache \n");
-        hash_first(digest_nonce_cache);
-        while ((nonce=((digest_nonce_h *)hash_next(digest_nonce_cache)))) {
-            assert (nonce->flags.incache);
-            authDigestNoncePurge(nonce);
-        }
-    }
-    if (digest_nonce_pool)
-    {
-        assert(memPoolInUseCount(digest_nonce_pool)==0);
-        memPoolDestroy(digest_nonce_pool);
-        digest_nonce_pool=NULL;
+    if (digest_nonce_cache) {
+	debug(29, 2) ("authenticateDigestNonceShutdown: Shutting down nonce cache \n");
+	hash_first(digest_nonce_cache);
+	while ((nonce = ((digest_nonce_h *) hash_next(digest_nonce_cache)))) {
+	    assert(nonce->flags.incache);
+	    authDigestNoncePurge(nonce);
+	}
+    }
+    if (digest_nonce_pool) {
+	assert(memPoolInUseCount(digest_nonce_pool) == 0);
+	memPoolDestroy(digest_nonce_pool);
+	digest_nonce_pool = NULL;
     }
-    debug(29,2)("authenticateDigestNonceShutdown: Nonce cache shutdown\n");
+    debug(29, 2) ("authenticateDigestNonceShutdown: Nonce cache shutdown\n");
 }
 
-void authenticateDigestNonceReconfigure()
+void 
+authenticateDigestNonceReconfigure()
 {
 }
 
@@ -251,130 +249,125 @@
      * entries at a time. Lets see how it flys first.
      */
     digest_nonce_h *nonce;
-    debug(29,3) ("authenticateDigestNonceCacheCleanup: Cleaning the nonce cache now\n");
-    debug(29,3) ("authenticateDigestNonceCacheCleanup: Current time: %d\n", 
-        current_time.tv_sec);
+    debug(29, 3) ("authenticateDigestNonceCacheCleanup: Cleaning the nonce cache now\n");
+    debug(29, 3) ("authenticateDigestNonceCacheCleanup: Current time: %d\n",
+	current_time.tv_sec);
     hash_first(digest_nonce_cache);
-    while ((nonce=((digest_nonce_h *)hash_next(digest_nonce_cache)))) {
-        debug(29,3) ("authenticateDigestNonceCacheCleanup: nonce entry  : '%s'\n", nonce->nonceb64);
-        debug(29,4) ("authenticateDigestNonceCacheCleanup: Creation time: %d\n", nonce->noncedata.creationtime);
-        if (authDigestNonceIsStale(nonce)) {
-            debug(29,4)("authenticateDigestNonceCacheCleanup: Removing nonce %s from cache due to timeout.\n",nonce->nonceb64);
-	    assert (nonce->flags.incache);
-            /* invalidate nonce so future requests fail */
-            nonce->flags.valid=0; 
-            /* if it is tied to a auth_user, remove the tie */
-            authDigestNonceUserUnlink(nonce);
-            authDigestNoncePurge(nonce);
-        }
+    while ((nonce = ((digest_nonce_h *) hash_next(digest_nonce_cache)))) {
+	debug(29, 3) ("authenticateDigestNonceCacheCleanup: nonce entry  : '%s'\n", nonce->nonceb64);
+	debug(29, 4) ("authenticateDigestNonceCacheCleanup: Creation time: %d\n", nonce->noncedata.creationtime);
+	if (authDigestNonceIsStale(nonce)) {
+	    debug(29, 4) ("authenticateDigestNonceCacheCleanup: Removing nonce %s from cache due to timeout.\n", nonce->nonceb64);
+	    assert(nonce->flags.incache);
+	    /* invalidate nonce so future requests fail */
+	    nonce->flags.valid = 0;
+	    /* if it is tied to a auth_user, remove the tie */
+	    authDigestNonceUserUnlink(nonce);
+	    authDigestNoncePurge(nonce);
+	}
     }
-    debug(29,3) ("authenticateDigestNonceCacheCleanup: Finished cleaning the nonce cache.\n");
+    debug(29, 3) ("authenticateDigestNonceCacheCleanup: Finished cleaning the nonce cache.\n");
     if (authenticateDigestActive())
-        eventAdd("Digest none cache maintenance",authenticateDigestNonceCacheCleanup, NULL, digestConfig->nonceGCInterval,1);
+	eventAdd("Digest none cache maintenance", authenticateDigestNonceCacheCleanup, NULL, digestConfig->nonceGCInterval, 1);
 }
 
 void
-authDigestNonceLink(digest_nonce_h *nonce)
+authDigestNonceLink(digest_nonce_h * nonce)
 {
     assert(nonce != NULL);
     nonce->references++;
-    debug(29, 9) ("authDigestNonceLink: nonce '%d' now at '%d'.\n", nonce,nonce->references);
+    debug(29, 9) ("authDigestNonceLink: nonce '%d' now at '%d'.\n", nonce, nonce->references);
 }
 
 int
-authDigestNonceLinks(digest_nonce_h *nonce)
+authDigestNonceLinks(digest_nonce_h * nonce)
 {
     if (!nonce)
-        return -1;
+	return -1;
     return nonce->references;
 }
 
 void
-authDigestNonceUnlink(digest_nonce_h *nonce)
+authDigestNonceUnlink(digest_nonce_h * nonce)
 {
     assert(nonce != NULL);
     if (nonce->references > 0) {
-        nonce->references--;
+	nonce->references--;
     } else {
-        debug(29, 1) ("authDigestNonceUnlink; Attempt to lower nonce %d refcount below 0!\n", nonce);
+	debug(29, 1) ("authDigestNonceUnlink; Attempt to lower nonce %d refcount below 0!\n", nonce);
     }
     debug(29, 9) ("authDigestNonceUnlink: nonce '%d' now at '%d'.\n", nonce, nonce->references);
     if (nonce->references == 0)
-        authenticateDigestNonceDelete(nonce);
+	authenticateDigestNonceDelete(nonce);
 }
 
 const char *
-authenticateDigestNonceNonceb64(digest_nonce_h *nonce)
+authenticateDigestNonceNonceb64(digest_nonce_h * nonce)
 {
     if (!nonce)
-        return NULL;
+	return NULL;
     return nonce->nonceb64;
 }
 
 digest_nonce_h *
 authenticateDigestNonceFindNonce(const char *nonceb64)
 {
-    digest_nonce_h *nonce=NULL;
-    if (nonceb64==NULL)
-        return NULL;
-    debug(29,9)("authDigestNonceFindNonce:looking for nonceb64 '%s' in the nonce cache.\n",nonceb64);
-    if ((nonce = hash_lookup(digest_nonce_cache, nonceb64))) 
-        while ((strcmp(nonce->nonceb64,nonceb64)) && (nonce->next))
-            nonce=nonce->next;
-    if ((nonce == NULL) || (strcmp(nonce->nonceb64,nonceb64)))
-        return NULL;
-    debug(29,9)("authDigestNonceFindNonce: Found nonce '%d'\n",nonce);
+    digest_nonce_h *nonce = NULL;
+    if (nonceb64 == NULL)
+	return NULL;
+    debug(29, 9) ("authDigestNonceFindNonce:looking for nonceb64 '%s' in the nonce cache.\n", nonceb64);
+    if ((nonce = hash_lookup(digest_nonce_cache, nonceb64)))
+	while ((strcmp(nonce->nonceb64, nonceb64)) && (nonce->next))
+	    nonce = nonce->next;
+    if ((nonce == NULL) || (strcmp(nonce->nonceb64, nonceb64)))
+	return NULL;
+    debug(29, 9) ("authDigestNonceFindNonce: Found nonce '%d'\n", nonce);
     return nonce;
 }
 
 int
-authDigestNonceIsValid(digest_nonce_h *nonce,char nc[9])
+authDigestNonceIsValid(digest_nonce_h * nonce, char nc[9])
 {
     int intnc;
     /* do we have a nonce ? */
     if (!nonce)
-        return 0;
-    intnc=atoi(nc);
-    if (intnc != nonce->nc+1)
-    {
-        debug (29,4)("authDigestNonceIsValid: Nonce count doesn't match\n");
-        nonce->flags.valid=0;
-        return 0;
+	return 0;
+    intnc = atoi(nc);
+    if (intnc != nonce->nc + 1) {
+	debug(29, 4) ("authDigestNonceIsValid: Nonce count doesn't match\n");
+	nonce->flags.valid = 0;
+	return 0;
     }
     /* has it already been invalidated ? */
-    if (!nonce->flags.valid)
-    {
-       debug (29,4)("authDigestNonceIsValid: Nonce already invalidated\n");
-       return 0;
+    if (!nonce->flags.valid) {
+	debug(29, 4) ("authDigestNonceIsValid: Nonce already invalidated\n");
+	return 0;
     }
     /* seems ok */
     return -1;
 }
 
 int
-authDigestNonceIsStale(digest_nonce_h *nonce)
+authDigestNonceIsStale(digest_nonce_h * nonce)
 {
     /* do we have a nonce ? */
     if (!nonce)
-        return -1;
+	return -1;
     /* has it's max duration expired? */
-    if (nonce->noncedata.creationtime + digestConfig->noncemaxduration < current_time.tv_sec)
-    {
-        debug (29,4)("authDigestNonceIsStale: Nonce is too old. %d %d %d\n", nonce->noncedata.creationtime,digestConfig->noncemaxduration , current_time.tv_sec);
-        nonce->flags.valid=0;
-        return -1;
-    }
-    if (nonce->nc>99999998)
-    {
-        debug (29,4)("authDigestNonceIsStale: Nonce count overflow\n");
-        nonce->flags.valid=0;
-        return -1;
-    }
-    if (nonce->nc>digestConfig->noncemaxuses)
-    {
-        debug (29,4)("authDigestNoncelastRequest: Nonce count over user limit\n");
-        nonce->flags.valid=0;
-        return -1;
+    if (nonce->noncedata.creationtime + digestConfig->noncemaxduration < current_time.tv_sec) {
+	debug(29, 4) ("authDigestNonceIsStale: Nonce is too old. %d %d %d\n", nonce->noncedata.creationtime, digestConfig->noncemaxduration, current_time.tv_sec);
+	nonce->flags.valid = 0;
+	return -1;
+    }
+    if (nonce->nc > 99999998) {
+	debug(29, 4) ("authDigestNonceIsStale: Nonce count overflow\n");
+	nonce->flags.valid = 0;
+	return -1;
+    }
+    if (nonce->nc > digestConfig->noncemaxuses) {
+	debug(29, 4) ("authDigestNoncelastRequest: Nonce count over user limit\n");
+	nonce->flags.valid = 0;
+	return -1;
     }
     /* seems ok */
     return 0;
@@ -382,63 +375,59 @@
 
 /* return -1 if the digest will be stale on the next request */
 int
-authDigestNonceLastRequest(digest_nonce_h *nonce)
+authDigestNonceLastRequest(digest_nonce_h * nonce)
 {
     if (!nonce)
-        return -1;
-    if (nonce->nc==99999997)
-    {
-        debug (29,4)("authDigestNoncelastRequest: Nonce count about to overflow\n");
-        return -1;
-    }
-    if (nonce->nc==digestConfig->noncemaxuses-1)
-    {
-        debug (29,4)("authDigestNoncelastRequest: Nonce count about to hit user limit\n");
-        return -1;
+	return -1;
+    if (nonce->nc == 99999997) {
+	debug(29, 4) ("authDigestNoncelastRequest: Nonce count about to overflow\n");
+	return -1;
+    }
+    if (nonce->nc == digestConfig->noncemaxuses - 1) {
+	debug(29, 4) ("authDigestNoncelastRequest: Nonce count about to hit user limit\n");
+	return -1;
     }
     /* and other tests are possible. */
     return 0;
 }
 
 void
-authDigestNoncePurge(digest_nonce_h *nonce)
+authDigestNoncePurge(digest_nonce_h * nonce)
 {
     if (!nonce)
-        return;
+	return;
     if (!nonce->flags.incache)
-        return;
-    hash_remove_link(digest_nonce_cache, (hash_link *)nonce);
-    nonce->flags.incache=0;
+	return;
+    hash_remove_link(digest_nonce_cache, (hash_link *) nonce);
+    nonce->flags.incache = 0;
     /* the cache's link */
-    authDigestNonceUnlink(nonce); 
+    authDigestNonceUnlink(nonce);
 }
 
 /* USER related functions */
 
 
 int
-authDigestUsercmpname(digest_user_h * u1, digest_user_h *u2)
+authDigestUsercmpname(digest_user_h * u1, digest_user_h * u2)
 {
-    return strcmp(u1->username,u2->username);
+    return strcmp(u1->username, u2->username);
 }
 
 auth_user_t *
-authDigestUserFindUsername(const char * username)
+authDigestUserFindUsername(const char *username)
 {
     auth_user_hash_pointer *usernamehash;
     auth_user_t *auth_user;
-    debug(29,9)("authDigestUserFindUsername: Looking for user '%s'\n",username);
-    if (username && (usernamehash = hash_lookup(proxy_auth_username_cache, username)))
-    {
-        while ((usernamehash->auth_user->auth_type != AUTH_DIGEST) &&
-            (usernamehash->next))
-            usernamehash=usernamehash->next;
-        auth_user=NULL;
-        if (usernamehash->auth_user->auth_type==AUTH_DIGEST)
-        {
-            auth_user=usernamehash->auth_user;
-        }
-        return auth_user;
+    debug(29, 9) ("authDigestUserFindUsername: Looking for user '%s'\n", username);
+    if (username && (usernamehash = hash_lookup(proxy_auth_username_cache, username))) {
+	while ((usernamehash->auth_user->auth_type != AUTH_DIGEST) &&
+	    (usernamehash->next))
+	    usernamehash = usernamehash->next;
+	auth_user = NULL;
+	if (usernamehash->auth_user->auth_type == AUTH_DIGEST) {
+	    auth_user = usernamehash->auth_user;
+	}
+	return auth_user;
     }
     return NULL;
 }
@@ -453,7 +442,7 @@
 authDigestUserSetup()
 {
     if (!digest_user_pool)
-        digest_user_pool = memPoolCreate("Digest Scheme User Data", sizeof(digest_user_h));
+	digest_user_pool = memPoolCreate("Digest Scheme User Data", sizeof(digest_user_h));
 }
 
 void
@@ -466,16 +455,15 @@
     auth_user_t *auth_user;
     hash_first(proxy_auth_username_cache);
     while ((usernamehash = ((auth_user_hash_pointer *) hash_next(proxy_auth_username_cache)))) {
-        auth_user = usernamehash->auth_user;
-        if (strcmp(authscheme_list[auth_user->auth_module-1].typestr,"digest")==0)
-        /* it's digest */
-                authenticateAuthUserUnlock(auth_user);
-    }
-    if (digest_user_pool)
-    {
-        assert(memPoolInUseCount(digest_user_pool)==0);
-        memPoolDestroy(digest_user_pool);
-        digest_user_pool = NULL;
+	auth_user = usernamehash->auth_user;
+	if (strcmp(authscheme_list[auth_user->auth_module - 1].typestr, "digest") == 0)
+	    /* it's digest */
+	    authenticateAuthUserUnlock(auth_user);
+    }
+    if (digest_user_pool) {
+	assert(memPoolInUseCount(digest_user_pool) == 0);
+	memPoolDestroy(digest_user_pool);
+	digest_user_pool = NULL;
     }
 }
 
@@ -484,44 +472,44 @@
 
 /* delete the digest reuqest structure. Does NOT delete related structures */
 void
-authDigestRequestDelete(digest_request_h *digest_request)
+authDigestRequestDelete(digest_request_h * digest_request)
 {
     if (digest_request->nonceb64)
-        xfree(digest_request->nonceb64);
+	xfree(digest_request->nonceb64);
     if (digest_request->cnonce)
-        xfree(digest_request->cnonce);
+	xfree(digest_request->cnonce);
     if (digest_request->realm)
-        xfree(digest_request->realm);
+	xfree(digest_request->realm);
     if (digest_request->pszPass)
-        xfree(digest_request->pszPass);
+	xfree(digest_request->pszPass);
     if (digest_request->algorithm)
-        xfree(digest_request->algorithm);
+	xfree(digest_request->algorithm);
     if (digest_request->pszMethod)
-        xfree(digest_request->pszMethod);
+	xfree(digest_request->pszMethod);
     if (digest_request->qop)
-        xfree(digest_request->qop);
+	xfree(digest_request->qop);
     if (digest_request->uri)
-        xfree(digest_request->uri);
+	xfree(digest_request->uri);
     if (digest_request->response)
-        xfree(digest_request->response);
+	xfree(digest_request->response);
     if (digest_request->nonce)
-        authDigestNonceUnlink(digest_request->nonce);
-    memPoolFree(digest_request_pool, digest_request);    
+	authDigestNonceUnlink(digest_request->nonce);
+    memPoolFree(digest_request_pool, digest_request);
 }
 
 void
-authDigestAURequestFree(auth_user_request_t *auth_user_request)
+authDigestAURequestFree(auth_user_request_t * auth_user_request)
 {
     if (auth_user_request->scheme_data != NULL)
-        authDigestRequestDelete((digest_request_h *)auth_user_request->scheme_data);
+	authDigestRequestDelete((digest_request_h *) auth_user_request->scheme_data);
 }
 
 digest_request_h *
 authDigestRequestNew()
 {
     digest_request_h *tmp;
-    tmp=memPoolAlloc(digest_request_pool);
-    assert (tmp !=NULL);
+    tmp = memPoolAlloc(digest_request_pool);
+    assert(tmp != NULL);
     return tmp;
 }
 
@@ -529,18 +517,17 @@
 authDigestRequestSetup()
 {
     if (!digest_request_pool)
-        digest_request_pool = memPoolCreate("Digest Scheme Request Data", sizeof(digest_request_h));
+	digest_request_pool = memPoolCreate("Digest Scheme Request Data", sizeof(digest_request_h));
 }
 
 void
 authDigestRequestShutdown()
 {
     /* No requests should be in progress when we get here */
-    if (digest_request_pool)
-    {
-        assert(memPoolInUseCount(digest_request_pool)==0);
-        memPoolDestroy(digest_request_pool);
-        digest_request_pool = NULL;
+    if (digest_request_pool) {
+	assert(memPoolInUseCount(digest_request_pool) == 0);
+	memPoolDestroy(digest_request_pool);
+	digest_request_pool = NULL;
     }
 }
 
@@ -548,23 +535,21 @@
 void
 authDigestDone(void)
 {
-   if (digestauthenticators)
-       helperShutdown(digestauthenticators);
-    authdigest_initialised = 0;
-    if (!shutting_down)
-    {
-        authenticateDigestNonceReconfigure();
-        return;
-    }
     if (digestauthenticators)
-    {
-        helperFree(digestauthenticators);
-        digestauthenticators = NULL;
+	helperShutdown(digestauthenticators);
+    authdigest_initialised = 0;
+    if (!shutting_down) {
+	authenticateDigestNonceReconfigure();
+	return;
+    }
+    if (digestauthenticators) {
+	helperFree(digestauthenticators);
+	digestauthenticators = NULL;
     }
     authDigestRequestShutdown();
     authDigestUserShutdown();
     authenticateDigestNonceShutdown();
-    debug(29,2)("authenticateDigestDone: Digest authentication shut down.\n");
+    debug(29, 2) ("authenticateDigestDone: Digest authentication shut down.\n");
 }
 
 static void
@@ -572,43 +557,44 @@
 {
     auth_digest_config *config = scheme->scheme_data;
     wordlist *list = config->authenticate;
-    debug(29,9)("authDigestCfgDump: Dumping configuration\n");
+    debug(29, 9) ("authDigestCfgDump: Dumping configuration\n");
     storeAppendPrintf(entry, "%s %s", name, "digest");
     while (list != NULL) {
-        storeAppendPrintf(entry, " %s", list->key);
-        list = list->next;
+	storeAppendPrintf(entry, " %s", list->key);
+	list = list->next;
     }
     storeAppendPrintf(entry, "\n%s %s realm %s\n%s %s children %d\n%s %s nonce_max_count %d\n%s %s nonce_max_duration %d seconds\n%s %s nonce_garbage_interval %d seconds\n",
 	name, "digest", config->digestAuthRealm,
-        name, "digest", config->authenticateChildren,
-        name, "digest", config->noncemaxuses,
-        name, "digest", config->noncemaxduration,
+	name, "digest", config->authenticateChildren,
+	name, "digest", config->noncemaxuses,
+	name, "digest", config->noncemaxduration,
 	name, "digest", config->nonceGCInterval);
 }
 
-void 
-authSchemeSetup_digest(authscheme_entry_t *authscheme) {
+void
+authSchemeSetup_digest(authscheme_entry_t * authscheme)
+{
     assert(!authdigest_initialised);
-    authscheme->Active            =authenticateDigestActive;
-    authscheme->configured	  =authDigestConfigured;
-    authscheme->parse             =authDigestParse;
-    authscheme->freeconfig        =authDigestFreeConfig;
-    authscheme->dump              =authDigestCfgDump;
-    authscheme->init              =authDigestInit;
+    authscheme->Active = authenticateDigestActive;
+    authscheme->configured = authDigestConfigured;
+    authscheme->parse = authDigestParse;
+    authscheme->freeconfig = authDigestFreeConfig;
+    authscheme->dump = authDigestCfgDump;
+    authscheme->init = authDigestInit;
     authscheme->authAuthenticate = authenticateDigestAuthenticateUser;
-    authscheme->authenticated= authDigestAuthenticated;
-    authscheme->authFixHeader=authenticateDigestFixHeader;
-    authscheme->FreeUser          =authenticateDigestUserFree;
-    authscheme->AddHeader         =authDigestAddHeader;
+    authscheme->authenticated = authDigestAuthenticated;
+    authscheme->authFixHeader = authenticateDigestFixHeader;
+    authscheme->FreeUser = authenticateDigestUserFree;
+    authscheme->AddHeader = authDigestAddHeader;
 #if WAITING_FOR_TE
-    authscheme->AddTrailer         =authDigestAddTrailer;
+    authscheme->AddTrailer = authDigestAddTrailer;
 #endif
-    authscheme->authStart   =authenticateDigestStart;
-    authscheme->authStats   =authenticateDigestStats;
+    authscheme->authStart = authenticateDigestStart;
+    authscheme->authStats = authenticateDigestStats;
     authscheme->authUserUsername = authenticateDigestUsername;
-    authscheme->getdirection=authenticateDigestDirection;
-    authscheme->oncloseconnection=NULL;
-    authscheme->decodeauth  =authenticateDigestDecodeAuth;
+    authscheme->getdirection = authenticateDigestDirection;
+    authscheme->oncloseconnection = NULL;
+    authscheme->decodeauth = authenticateDigestDecodeAuth;
     authscheme->donefunc = authDigestDone;
     authscheme->requestFree = authDigestAURequestFree;
 }
